1. MMS
X Lead Connect
  • Overview
  • API Key Integration
  • SMS
    • Message Delivery Flow
    • Send Message
      POST
    • Get Usage Report
      GET
  • MMS
    • Message Delivery Flow
    • Send Message
      POST
    • Get Usage Report
      GET
  • eDM
    • Message Delivery Flow
    • Send Message
      POST
  • Account Management
    • Get Points Balance
      GET
    • Get Quota Balance
      GET
  1. MMS

Send Message

POST
https://api.connect.xleadfunnel.com/v1/mms/send
This is to send MMS message, each request is to send to one recipient.

Request

Body Params application/json

Example
// send to Hong Kong
{
    "sender": "xlead",
    "country_code": "852",
    "mobile": "91234567",
    "subject": "X'mas 兌換奬賞",
    "image_url": "https://xleadfunnel.com/img/MarketingFunnel/redeem.png",
    "text": "客戶喜愛禮品,他們喜愛奬賞。兌換奬賞是一個已證實最為有效的推廣利器之一,派發優惠券或吸引性高的奬賞,源源不絕的新客探訪你的商舖,從而購物。",
    "send_also_ofca_registers": false
}

Responses

🟢200Success
application/json
Body

Example
// valid send request
{
    "rc": 100,
    "rm": "OK",
    "ref_id": "145737475"
}

// invalid send request
{
    "rc": -100,
    "rm": "Missing sender, your region requires Sender ID to send out messages."
}
Modified at 2026-01-07 12:15:27
Previous
Message Delivery Flow
Next
Get Usage Report
Built with